<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css" style="display:none;"><!-- P {margin-top:0;margin-bottom:0;} --></style>
</head>
<body dir="ltr">
<div id="divtagdefaultwrapper" style="font-size:12pt;color:#000000;font-family:Calibri,Helvetica,sans-serif;" dir="ltr">
<p>Boa tarde Fábio,</p>
<p><br>
</p>
<p>Temos instalado e funcionando um SAPL 3.1 localmente para fins de teste antes da migração do 2.5.</p>
<p>Acontece que ao reiniciar o linux o container do sapl não sobe automaticamente.</p>
<p><br>
</p>
<p>Antigamento, o comando no rc.local -> <span>sudo /var/interlegis/SAPL-2.5/instances/sapl25/bin/./startsapl.sh era responsável para subir a instancia.</span></p>
<p><span><br>
</span></p>
<p><span>Agora, precisamos entrar na pasta do sapl31, onde está o docker-compose.yml e executar -> docker-compose up -d</span></p>
<p><span><br>
</span></p>
<p>Qual seria o correto de usar no rc.local?</p>
<p><br>
</p>
<p><br>
</p>
<p>Att</p>
<p>Rafael R Sponhardi</p>
<br>
<br>
<div style="color: rgb(0, 0, 0);">
<hr tabindex="-1" style="display:inline-block; width:98%">
<div id="divRplyFwdMsg" dir="ltr"><font face="Calibri, sans-serif" color="#000000" style="font-size:11pt"><b>De:</b> gitec-bounces@listas.interlegis.gov.br <gitec-bounces@listas.interlegis.gov.br> em nome de Fábio Kaiser Rauber <fabior@interlegis.leg.br><br>
<b>Enviado:</b> sexta-feira, 6 de outubro de 2017 09:55<br>
<b>Para:</b> Grupo Interlegis de Tecnologia<br>
<b>Assunto:</b> Re: [gitec] problema ao instalar sapl 3.1 via docker</font>
<div> </div>
</div>
<div>
<div style="font-family:arial,sans-serif; font-size:13px">Prezado Flávio,<br>
<br>
Na verdade tanto faz como o Docker seja instalado, o importante é que ele rode e a versão não seja muito antiga. Se está funcionando, não se preocupe.<br>
<br>
Atenciosamente,<br>
<br>
--<br>
<br>
Fabio Kaiser Rauber<br>
Analista de Informática Legislativa<br>
Serviço de Infraestrutura Tecnológica<br>
Interlegis - Senado Federal<br>
www.interlegis.leg.br<br>
<br>
<br>
<br>
6 de Outubro de 2017 11:26, "Flávio Mattos" <<a target="_blank" tabindex="-1" href="mailto:%22Fl%C3%A1vio%20Mattos%22%20<flavio@campomourao.pr.leg.br>">flavio@campomourao.pr.leg.br</a>> escreveu:<br>
<blockquote>
<div>
<div>
<div style="font-family:arial,sans-serif; font-size:13px"><br>
olá. Estou tendo problema ao instalar o sapl 3.1 via docker utilizando o roteiro do colab.<br>
<br>
Ao digitar o comando <span style="background-color:rgb(249,249,249); font-family:Monaco,Menlo,Consolas,"Courier New",monospace; white-space:pre-wrap">
curl -ssl <a target="_blank" rel="noopener noreferrer" href="https://get.docker.com">
https://get.docker.com</a> | sh, após algumas linhas, aparece a seguinte mensagem:<br>
<br>
Aborted (core dumped)<br>
E: Problem executing scripts APT::Update::Post-Invoke-Sucess 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh > /dev/null; fi'<br>
E: Sub-process returned an error code<br>
<br>
eu consegui instalar o docker em outra maquina virtual, utilizando o roteiro do seguinte endereço:
</span><br>
<a rel="external nofollow noopener noreferrer" target="_blank" tabindex="-1" href="https://atutoriais.com/linux/como-instalar-o-docker-no-ubuntu-16-04/">https://atutoriais.com/linux/como-instalar-o-docker-no-ubuntu-16-04/</a><br>
<br>
aguardo ajuda.<br>
<br>
<br>
<br>
<br>
<br>
<img naturalheight="150" naturalwidth="450" alt="" class="lazy lazy-inited" width="450" vspace="0" border="0" hspace="0" height="150" style="width: 450px; height: 150px; margin: 0px; border: 0px solid black; display: inline; user-select: none;" tabindex="0" src="cid:4c7f4b4f0aad2239217941b3f2f90aa2"></div>
</div>
</div>
</blockquote>
</div>
</div>
</div>
</div>
</body>
</html>